
Ruby - Bug #14789

Debian 9, ARM, rails 5.2.0 not works.

05/28/2018 12:22 PM - Tivgres (Sergey D)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.1p111 (2017-03-22 revision

58053) [armv7l-linux-eabihf]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Hello, I try to use rails at orange pi board on armbian (debian 9 for ARM), but it's have a bug?

ruby -v

ruby 2.4.1p111 (2017-03-22 revision 58053) [armv7l-linux-eabihf]

`rails -v

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18: [BUG] Bus Error at 0x2b7dff9

ruby 2.4.1p111 (2017-03-22 revision 58053) [armv7l-linux-eabihf]

-- Control frame information -----------------------------------------------

c:0059 p:---- s:0323 e:000322 CFUNC :load_from_binary

c:0058 p:0018 s:0318 e:000317 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18 [FINISH]

c:0057 p:---- s:0312 e:000311 CFUNC :fetch

c:0056 p:0082 s:0305 e:000304 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:37 [FINISH]

c:0055 p:---- s:0299 e:000298 CFUNC :require

c:0054 p:0016 s:0294 e:000293 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21

c:0053 p:0009 s:0291 e:000290 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65

c:0052 p:0027 s:0282 e:000281 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20

c:0051 p:0066 s:0276 e:000275 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29

c:0050 p:0012 s:0270 e:000269 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0049 p:0057 s:0267 e:000266 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249

c:0048 p:0017 s:0261 e:000260 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0047 p:0035 s:0255 e:000254 TOP /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/visitors.rb:5 [FINISH]

c:0046 p:---- s:0252 e:000251 CFUNC :require

c:0045 p:0016 s:0247 e:000246 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21

c:0044 p:0009 s:0244 e:000243 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65

c:0043 p:0027 s:0235 e:000234 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20

c:0042 p:0066 s:0229 e:000228 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29

c:0041 p:0012 s:0223 e:000222 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0040 p:0057 s:0220 e:000219 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249

c:0039 p:0017 s:0214 e:000213 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0038 p:0114 s:0208 e:000207 TOP /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych.rb:12 [FINISH]

c:0037 p:---- s:0205 e:000204 CFUNC :require

c:0036 p:0016 s:0200 e:000199 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21
c:0035 p:0009 s:0197 e:000196 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65

c:0034 p:0027 s:0188 e:000187 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20

c:0033 p:0066 s:0182 e:000181 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29

c:0032 p:0012 s:0176 e:000175 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0031 p:0057 s:0173 e:000172 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249

c:0030 p:0017 s:0167 e:000166 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0029 p:0010 s:0161 e:000160 TOP /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/yaml.rb:6 [FINISH]

c:0028 p:---- s:0158 e:000157 CFUNC :require

c:0027 p:0016 s:0153 e:000152 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21

c:0026 p:0009 s:0150 e:000149 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65

c:0025 p:0027 s:0141 e:000140 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20

c:0024 p:0066 s:0135 e:000134 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29

c:0023 p:0012 s:0129 e:000128 BLOCK

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0022 p:0057 s:0126 e:000125 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249

c:0021 p:0017 s:0120 e:000119 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283

c:0020 p:0010 s:0114 e:000113 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/yaml.rb:37

c:0019 p:0069 s:0107 e:000106 METHOD

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache.rb:11

c:0018 p:0097 s:0099 e:000098 METHOD /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap.rb:30

c:0017 p:0339 s:0087 e:000086 TOP /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/setup.rb:33 [FINISH]

c:0016 p:---- s:0077 e:000076 CFUNC :require

c:0015 p:0061 s:0072 e:000071 TOP /home/tivgres/rails/hello_pg/config/boot.rb:4 [FINISH]

c:0014 p:---- s:0069 e:000068 CFUNC :require_relative

c:0013 p:0054 s:0064 e:000063 TOP /home/tivgres/rails/hello_pg/bin/rails:8 [FINISH]

c:0012 p:---- s:0060 e:000059 CFUNC :load

c:0011 p:0141 s:0055 e:000054 METHOD /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/rails.rb:28

c:0010 p:0013 s:0050 e:000049 METHOD /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/command.rb:7

c:0009 p:0018 s:0045 e:000044 METHOD /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client.rb:30

c:0008 p:0337 s:0039 e:000038 TOP /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/bin/spring:49 [FINISH]

c:0007 p:---- s:0033 e:000032 CFUNC :load

c:0006 p:0185 s:0028 e:000027 TOP /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/binstub.rb:31 [FINISH]

c:0005 p:---- s:0022 e:000021 CFUNC :require

c:0004 p:0150 s:0017 e:000016 TOP /home/tivgres/rails/hello_pg/bin/spring:15 [FINISH]

c:0003 p:---- s:0012 e:000011 CFUNC :load

c:0002 p:0022 s:0007 E:00062c EVAL bin/rails:3 [FINISH]

c:0001 p:0000 s:0003 E:001c10 (none) [FINISH]

-- Ruby level backtrace information ----------------------------------------

bin/rails:3:in ' bin/rails:3:inload'

/home/tivgres/rails/hello_pg/bin/spring:15:in <top (required)>' /home/tivgres/rails/hello_pg/bin/spring:15:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/binstub.rb:31:in <top (required)>'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/binstub.rb:31:inload'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/bin/spring:49:in <top (required)>'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client.rb:30:inrun'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/command.rb:7:in call'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/rails.rb:28:incall'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/rails.rb:28:in load'

/home/tivgres/rails/hello_pg/bin/rails:8:in<top (required)>'

/home/tivgres/rails/hello_pg/bin/rails:8:in require_relative' /home/tivgres/rails/hello_pg/config/boot.rb:4:in<top (required)>'

/home/tivgres/rails/hello_pg/config/boot.rb:4:in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/setup.rb:33:in<top (required)>'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap.rb:30:in setup'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache.rb:11:insetup'
/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/yaml.rb:37:in install!'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in load_dependency'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:inblock in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:inrequire_with

_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in register'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:inblock in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in require'

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/yaml.rb:6:in

'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:inload_dependency'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in block in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:inregister'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in block in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:inrequire'

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych.rb:12:in '

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in load_dependency'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:inblock in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:inrequire_with

_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in register'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:inblock in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in require'

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/visitors.rb:5:in'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:inload_dependency'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in block in require'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:inregister'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in block in

require_with_bootsnap_lfi'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:inrequire'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:37:in load_iseq'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:37:infetch'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18:in storage_to_output'

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18:inload_from_binary'

-- Other runtime information -----------------------------------------------

Loaded script: bin/rails

Loaded features:

0 enumerator.so

1 thread.rb

2 rational.so

3 complex.so

4 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/encdb.so

5 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/trans/transdb.so

6 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/unicode_normalize.rb

7 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/rbconfig.rb

8 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/compatibility.rb

9 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/defaults.rb

10 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/deprecate.rb
11 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/errors.rb

12 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/version.rb

13 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/requirement.rb

14 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/platform.rb

15 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/basic_specification.rb

16 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/stub_specification.rb

17 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/util/list.rb

18 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/stringio.so

19 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/specification.rb

20 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/exceptions.rb

21 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/dependency.rb

22 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_gem.rb

23 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/monitor.rb

24 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb

25 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb

26 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/path_support.rb

27 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/version.rb

28 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/core_ext/name_error.rb

29 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/levenshtein.rb

30 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/jaro_winkler.rb

31 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checker.rb

32 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/delegate.rb

33

/home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checkers/name_error_checkers/clas

s_name_checker.rb

34

/home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checkers/name_error_checkers/vari

able_name_checker.rb

35

/home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checkers/name_error_checkers.rb

36

/home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checkers/method_name_checker.rb

37 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/spell_checkers/null_checker.rb

38 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean/formatter.rb

39 /home/tivgres/.rvm/gems/ruby-2.4.1@global/gems/did_you_mean-1.1.0/lib/did_you_mean.rb

40 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/version.rb

41 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/compatibility_guard.rb

42 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/pathname.so

43 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/pathname.rb

44 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/constants.rb

45 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/util.rb

46 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/console.so

47 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/user_interaction.rb

48 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/etc.so

49 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/config_file.rb

50 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/rubygems_integration.rb

51 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/current_ruby.rb

52 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/shared_helpers.rb

53 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/fileutils/lib/fileutils.rb

54 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendored_fileutils.rb

55 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/errors.rb

56 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/environment_preserver.rb

57 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/plugin/api.rb

58 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/plugin.rb

59 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/rfc2396_parser.rb

60 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/rfc3986_parser.rb

61 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/common.rb

62 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/generic.rb

63 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/ftp.rb

64 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/http.rb

65 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/https.rb

66 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/ldap.rb

67 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/ldaps.rb

68 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri/mailto.rb

69 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/uri.rb

70 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/fileutils.rb

71 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest.so
72 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/digest.rb

73 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/git.rb

74 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/installed.rb

75 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/specific_file.rb

76 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/local.rb

77 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/lock.rb

78 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source/vendor.rb

79 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/source.rb

80 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/gem_helpers.rb

81 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/match_platform.rb

82 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/rubygems_ext.rb

83 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/build_metadata.rb

84 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler.rb

85 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/settings.rb

86 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/ext/builder.rb

87 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/feature_flag.rb

88 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source.rb

89 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source/path.rb

90 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source/git.rb

91 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source/rubygems.rb

92 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/lockfile_parser.rb

93 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/set.rb

94 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/definition.rb

95 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/dependency.rb

96 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/ruby_dsl.rb

97 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/dsl.rb

98 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source_list.rb

99 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source/metadata.rb

100 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/ruby_version.rb

101 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/lazy_specification.rb

102 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/index.rb

103 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/tsort.rb

104 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/forwardable/impl.rb

105 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/forwardable.rb

106 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/spec_set.rb

107 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/compatibility.rb

108 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb

109

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb

110 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/errors.rb

111 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb

112

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_c

ircular.rb

113

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb

114

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb

115

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_

named.rb

116

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb

117 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb

118 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb

119 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb

120 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb

121 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/state.rb

122

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb

123 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb

124 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb

125 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb

126 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb

127 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendor/molinillo/lib/molinillo.rb

128 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/vendored_molinillo.rb

129 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/resolver/spec_group.rb
130 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/resolver.rb

131 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/gem_version_promoter.rb

132 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/source/gemspec.rb

133 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/runtime.rb

134 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/dep_proxy.rb

135 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/ui.rb

136 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/ui/silent.rb

137 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/ui/rg_proxy.rb

138 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/remote_specification.rb

139 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/stub_specification.rb

140 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/endpoint_specification.rb

141 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bundler-1.16.2/lib/bundler/setup.rb

142 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/errors.rb

143 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/json.rb

144 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest/md5.so

145 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/tmpdir.rb

146 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/version.rb

147 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/fiddle.so

148 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/fiddle/function.rb

149 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/fiddle/closure.rb

150 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/fiddle.rb

151 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/sid.rb

152 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/configuration.rb

153 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/env.rb

154 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/command.rb

155 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/socket.so

156 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/wait.so

157 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/socket.rb

158 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/run.rb

159 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/help.rb

160 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/binstub.rb

161 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/stop.rb

162 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/status.rb

163 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/rails.rb

164 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/version.rb

165 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client/server.rb

166 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/spring-2.0.2/lib/spring/client.rb

167 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/version.rb

168 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bundler.rb

169 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/explicit_require.rb

170 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/path_scanner.rb

171 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/path.rb

172 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/cache.rb

173 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/version.rb

174 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/msgpack.so

175 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/packer.rb

176 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/unpacker.rb

177 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/factory.rb

178 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/symbol.rb

179 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/core_ext.rb

180 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack.rb

181 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/store.rb

182 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/change_observer.rb

183 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/loaded_features_index.rb

184 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/realpath_cache.rb

185 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache.rb

186 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache.rb

187 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap.rb

188 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb

189 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/constants.rb

190 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/utility/engine.rb

191 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/abstract_object.rb

192 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/utility/native_extension_loader.rb

193 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_object.rb

194 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/jruby_object.rb

195 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/rbx_object.rb

196 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/truffle_object.rb
197 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/object.rb

198 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/volatile.rb

199 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/abstract_lockable_object.rb

200 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/mri_lockable_object.rb

201 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/jruby_lockable_object.rb

202 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/rbx_lockable_object.rb

203 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/truffle_lockable_object.rb

204 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/lockable_object.rb

205 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/condition.rb

206 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization/lock.rb

207 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization.rb

208 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/collection/map/non_concurrent_map_backend.rb

209 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/collection/map/mri_map_backend.rb

210 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/concurrent-ruby-1.0.5/lib/concurrent/map.rb

211 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/aliasing.rb

212 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/array/extract_options.rb

213 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/regexp.rb

214 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/attribute_accessors.rb

215 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/array/prepend_and_append.rb

216 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/hash/deep_merge.rb

217 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/hash/except.rb

218 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/hash/slice.rb

219 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/i18n-1.0.1/lib/i18n/version.rb

220 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/cgi/core.rb

221 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/cgi/escape.so

222 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/cgi/util.rb

223 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/cgi/cookie.rb

224 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/cgi.rb

225 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/i18n-1.0.1/lib/i18n/exceptions.rb

226 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/i18n-1.0.1/lib/i18n/interpolate/ruby.rb

227 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/i18n-1.0.1/lib/i18n.rb

228 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/lazy_load_hooks.rb

229 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/i18n-1.0.1/lib/i18n/config.rb

230 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/i18n.rb

231 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/singleton.rb

232 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/kernel/singleton_class.rb

233 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/delegation.rb

234 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/instance_delegator.rb

235 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/openssl.so

236 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/bn.rb

237 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/pkey.rb

238 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/cipher.rb

239 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/config.rb

240 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/digest.rb

241 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/x509.rb

242 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/buffering.rb

243 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/nonblock.so

244 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl/ssl.rb

245 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/openssl.rb

246 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/securerandom.rb

247 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/notifications/instrumenter.rb

248 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/mutex_m.rb

249 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/notifications/fanout.rb

250 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/per_thread_registry.rb

251 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/notifications.rb

252 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/behaviors.rb

253 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/reporting.rb

254 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/constant_accessor.rb

255 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/method_wrappers.rb

256 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation/proxy_wrappers.rb

257 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/deprecation.rb

258 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/deprecation.rb

259 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/inflector/inflections.rb

260 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/multibyte.rb

261 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/string/multibyte.rb

262 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/inflector/transliterate.rb

263 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/inflections.rb
264 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/inflector/methods.rb

265 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/string/inflections.rb

266 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/inflector.rb

267 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/introspection.rb

268 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/module/anonymous.rb

269 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/object/blank.rb

270 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/kernel/reporting.rb

271 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/load_error.rb

272 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/name_error.rb

273 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/core_ext/string/starts_ends_with.rb

274 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/concurrency/share_lock.rb

275 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies/interlock.rb

276 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/activesupport-5.2.0/lib/active_support/dependencies.rb

277 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/load_path_cache/core_ext/active_support.rb

278 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bootsnap.so

279 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/zlib.so

280 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb

281 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/yaml.rb

282 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/versions.rb

283 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/exception.rb

284 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/syntax_error.rb

285 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/psych.so

286 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/omap.rb

287 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/set.rb

288 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/class_loader.rb

289 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/strscan.so

290 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/scalar_scanner.rb

291 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/node.rb

292 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/stream.rb

293 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/document.rb

294 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/sequence.rb

295 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/scalar.rb

296 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/mapping.rb

297 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes/alias.rb

298 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/nodes.rb

299 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/streaming.rb

300 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/visitors/visitor.rb

301 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/visitors/to_ruby.rb

302 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych/visitors/emitter.rb

Process memory map:

00495000-00496000 r-xp 00000000 b3:01 531973 /home/tivgres/.rvm/rubies/ruby-2.4.1/bin/ruby

004a5000-004a6000 r-xp 00000000 b3:01 531973 /home/tivgres/.rvm/rubies/ruby-2.4.1/bin/ruby

004a6000-004a7000 rwxp 00001000 b3:01 531973 /home/tivgres/.rvm/rubies/ruby-2.4.1/bin/ruby

021c9000-02b8a000 rwxp 00000000 00:00 0 [heap]

b643e000-b6442000 r-xp 00000000 b3:01 532600 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/strscan.so

b6442000-b6451000 ---p 00004000 b3:01 532600 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/strscan.so

b6451000-b6452000 r-xp 00003000 b3:01 532600 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/strscan.so

b6452000-b6453000 rwxp 00004000 b3:01 532600 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/strscan.so

b6453000-b6465000 r-xp 00000000 b3:01 524510 /usr/lib/arm-linux-gnueabihf/libyaml-0.so.2.0.5

b6465000-b6474000 ---p 00012000 b3:01 524510 /usr/lib/arm-linux-gnueabihf/libyaml-0.so.2.0.5

b6474000-b6475000 r-xp 00011000 b3:01 524510 /usr/lib/arm-linux-gnueabihf/libyaml-0.so.2.0.5

b6475000-b6476000 rwxp 00012000 b3:01 524510 /usr/lib/arm-linux-gnueabihf/libyaml-0.so.2.0.5

b6476000-b647a000 r-xp 00000000 b3:01 532590 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/psych.so

b647a000-b6489000 ---p 00004000 b3:01 532590 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/psych.so

b6489000-b648a000 r-xp 00003000 b3:01 532590 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/psych.so

b648a000-b648b000 rwxp 00004000 b3:01 532590 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/psych.so

b648b000-b649c000 r-xp 00000000 b3:01 651844 /lib/arm-linux-gnueabihf/libz.so.1.2.8

b649c000-b64ab000 ---p 00011000 b3:01 651844 /lib/arm-linux-gnueabihf/libz.so.1.2.8

b64ab000-b64ac000 r-xp 00010000 b3:01 651844 /lib/arm-linux-gnueabihf/libz.so.1.2.8

b64ac000-b64ad000 rwxp 00011000 b3:01 651844 /lib/arm-linux-gnueabihf/libz.so.1.2.8

b64ad000-b64b7000 r-xp 00000000 b3:01 532585 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/zlib.so

b64b7000-b64c6000 ---p 0000a000 b3:01 532585 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/zlib.so

b64c6000-b64c7000 r-xp 00009000 b3:01 532585 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/zlib.so

b64c7000-b64c8000 rwxp 0000a000 b3:01 532585 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/zlib.so

b64c8000-b64ca000 r-xp 00000000 b3:01 138744

05/26/2025 8/12



/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bootsnap.so

b64ca000-b64d9000 ---p 00002000 b3:01 138744

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bootsnap.so

b64d9000-b64da000 r-xp 00001000 b3:01 138744

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bootsnap.so

b64da000-b64db000 rwxp 00002000 b3:01 138744

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/bootsnap.so

b64db000-b650c000 rwxp 00000000 00:00 0

b650c000-b650d000 r-xp 00000000 b3:01 134062

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/nonblock.so

b650d000-b651c000 ---p 00001000 b3:01 134062

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/nonblock.so

b651c000-b651d000 r-xp 00000000 b3:01 134062

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/nonblock.so

b651d000-b651e000 rwxp 00001000 b3:01 134062

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/nonblock.so

b651e000-b6555000 r-xp 00000000 b3:01 532582 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/openssl.so

b6555000-b6564000 ---p 00037000 b3:01 532582 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/openssl.so

b6564000-b6565000 r-xp 00036000 b3:01 532582 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/openssl.so

b6565000-b6567000 rwxp 00037000 b3:01 532582 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/openssl.so

b6567000-b6569000 r-xp 00000000 b3:01 532581

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/cgi/escape.so

b6569000-b6578000 ---p 00002000 b3:01 532581

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/cgi/escape.so

b6578000-b6579000 r-xp 00001000 b3:01 532581

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/cgi/escape.so

b6579000-b657a000 rwxp 00002000 b3:01 532581

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/cgi/escape.so

b657a000-b65bc000 rwxp 00000000 00:00 0

b65bc000-b65c7000 r-xp 00000000 b3:01 270306

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/msgpack.so

b65c7000-b65d6000 ---p 0000b000 b3:01 270306 /home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/msgpack.so

b65d6000-b65d7000 r-xp 0000a000 b3:01 270306

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/msgpack.so

b65d7000-b65d8000 rwxp 0000b000 b3:01 270306

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/msgpack-1.2.4/lib/msgpack/msgpack.so

b65d8000-b65d9000 r-xp 00000000 b3:01 134061 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/wait.so

b65d9000-b65e8000 ---p 00001000 b3:01 134061 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/wait.so

b65e8000-b65e9000 r-xp 00000000 b3:01 134061 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/wait.so

b65e9000-b65ea000 rwxp 00001000 b3:01 134061 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/wait.so

b65ea000-b6606000 r-xp 00000000 b3:01 532592 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/socket.so

b6606000-b6615000 ---p 0001c000 b3:01 532592 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/socket.so

b6615000-b6616000 r-xp 0001b000 b3:01 532592 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/socket.so

b6616000-b6617000 rwxp 0001c000 b3:01 532592 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/socket.so

b6617000-b662f000 r-xp 00000000 b3:01 657456 /lib/arm-linux-gnueabihf/libgcc_s.so.1

b662f000-b663e000 ---p 00018000 b3:01 657456 /lib/arm-linux-gnueabihf/libgcc_s.so.1

b663e000-b663f000 r-xp 00017000 b3:01 657456 /lib/arm-linux-gnueabihf/libgcc_s.so.1

b663f000-b6640000 rwxp 00018000 b3:01 657456 /lib/arm-linux-gnueabihf/libgcc_s.so.1

b6640000-b6645000 r-xp 00000000 b3:01 524699 /usr/lib/arm-linux-gnueabihf/libffi.so.6.0.4

b6645000-b6654000 ---p 00005000 b3:01 524699 /usr/lib/arm-linux-gnueabihf/libffi.so.6.0.4

b6654000-b6655000 r-xp 00004000 b3:01 524699 /usr/lib/arm-linux-gnueabihf/libffi.so.6.0.4

b6655000-b6656000 rwxp 00005000 b3:01 524699 /usr/lib/arm-linux-gnueabihf/libffi.so.6.0.4

b6656000-b665b000 r-xp 00000000 b3:01 532596 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/fiddle.so

b665b000-b666b000 ---p 00005000 b3:01 532596 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/fiddle.so

b666b000-b666c000 r-xp 00005000 b3:01 532596 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/fiddle.so

b666c000-b666d000 rwxp 00006000 b3:01 532596 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/fiddle.so

b666d000-b66a5000 r-xp 00000000 b3:01 522704 /usr/lib/arm-linux-gnueabihf/libssl.so.1.1

b66a5000-b66b4000 ---p 00038000 b3:01 522704 /usr/lib/arm-linux-gnueabihf/libssl.so.1.1

b66b4000-b66b7000 r-xp 00037000 b3:01 522704 /usr/lib/arm-linux-gnueabihf/libssl.so.1.1

b66b7000-b66bb000 rwxp 0003a000 b3:01 522704 /usr/lib/arm-linux-gnueabihf/libssl.so.1.1

b66bb000-b6816000 r-xp 00000000 b3:01 522703 /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1

b6816000-b6825000 ---p 0015b000 b3:01 522703 /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1

b6825000-b6834000 r-xp 0015a000 b3:01 522703 /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1

b6834000-b683b000 rwxp 00169000 b3:01 522703 /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.1

b683b000-b683f000 rwxp 00000000 00:00 0

b6847000-b6848000 r-xp 00000000 b3:01 664086

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest/md5.so
b6848000-b6857000 ---p 00001000 b3:01 664086

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest/md5.so

b6857000-b6858000 r-xp 00000000 b3:01 664086

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest/md5.so

b6858000-b6859000 rwxp 00001000 b3:01 664086

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest/md5.so

b6859000-b688a000 rwxp 00000000 00:00 0

b688a000-b688c000 r-xp 00000000 b3:01 532571 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest.so

b688c000-b689b000 ---p 00002000 b3:01 532571 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest.so

b689b000-b689c000 r-xp 00001000 b3:01 532571 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest.so

b689c000-b689d000 rwxp 00002000 b3:01 532571 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/digest.so

b689d000-b68a2000 r-xp 00000000 b3:01 532597 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/etc.so

b68a2000-b68b1000 ---p 00005000 b3:01 532597 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/etc.so

b68b1000-b68b2000 r-xp 00004000 b3:01 532597 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/etc.so

b68b2000-b68b3000 rwxp 00005000 b3:01 532597 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/etc.so

b68b3000-b68b6000 r-xp 00000000 b3:01 134060

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/console.so

b68b6000-b68c5000 ---p 00003000 b3:01 134060

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/console.so

b68c5000-b68c6000 r-xp 00002000 b3:01 134060

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/console.so

b68c6000-b68c7000 rwxp 00003000 b3:01 134060

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/io/console.so

b68c7000-b68cc000 r-xp 00000000 b3:01 532593

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/pathname.so

b68cc000-b68db000 ---p 00005000 b3:01 532593

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/pathname.so

b68db000-b68dc000 r-xp 00004000 b3:01 532593

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/pathname.so

b68dc000-b68dd000 rwxp 00005000 b3:01 532593

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/pathname.so

b68dd000-b68e2000 r-xp 00000000 b3:01 532589 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/stringio.so

b68e2000-b68f1000 ---p 00005000 b3:01 532589 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/stringio.so

b68f1000-b68f2000 r-xp 00004000 b3:01 532589 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/stringio.so

b68f2000-b68f3000 rwxp 00005000 b3:01 532589 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/stringio.so

b68f3000-b68f5000 r-xp 00000000 b3:01 664107

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/trans/transdb.so

b68f5000-b6904000 ---p 00002000 b3:01 664107

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/trans/transdb.so

b6904000-b6905000 r-xp 00001000 b3:01 664107

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/trans/transdb.so

b6905000-b6906000 rwxp 00002000 b3:01 664107

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/trans/transdb.so

b6906000-b6908000 r-xp 00000000 b3:01 664130

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/encdb.so

b6908000-b6917000 ---p 00002000 b3:01 664130

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/encdb.so

b6917000-b6918000 r-xp 00001000 b3:01 664130

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/encdb.so

b6918000-b6919000 rwxp 00002000 b3:01 664130

/home/tivgres/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/armv7l-linux-eabihf/enc/encdb.so

b6919000-b6920000 r-xs 00000000 b3:01 522443 /usr/lib/arm-linux-gnueabihf/gconv/gconv-modules.cache

b6920000-b69a1000 rwxp 00000000 00:00 0

b69a1000-b6b3c000 r-xp 00000000 b3:01 524244 /usr/lib/locale/locale-archive

b6b3c000-b6c15000 r-xp 00000000 b3:01 659198 /lib/arm-linux-gnueabihf/libc-2.24.so

b6c15000-b6c24000 ---p 000d9000 b3:01 659198 /lib/arm-linux-gnueabihf/libc-2.24.so

b6c24000-b6c26000 r-xp 000d8000 b3:01 659198 /lib/arm-linux-gnueabihf/libc-2.24.so

b6c26000-b6c27000 rwxp 000da000 b3:01 659198 /lib/arm-linux-gnueabihf/libc-2.24.so

b6c27000-b6c2a000 rwxp 00000000 00:00 0

b6c2a000-b6c91000 r-xp 00000000 b3:01 659329 /lib/arm-linux-gnueabihf/libm-2.24.so

b6c91000-b6ca0000 ---p 00067000 b3:01 659329 /lib/arm-linux-gnueabihf/libm-2.24.so

b6ca0000-b6ca1000 r-xp 00066000 b3:01 659329 /lib/arm-linux-gnueabihf/libm-2.24.so

b6ca1000-b6ca2000 rwxp 00067000 b3:01 659329 /lib/arm-linux-gnueabihf/libm-2.24.so

b6ca2000-b6ca9000 r-xp 00000000 b3:01 659302 /lib/arm-linux-gnueabihf/libcrypt-2.24.so

b6ca9000-b6cb8000 ---p 00007000 b3:01 659302 /lib/arm-linux-gnueabihf/libcrypt-2.24.so

b6cb8000-b6cb9000 r-xp 00006000 b3:01 659302 /lib/arm-linux-gnueabihf/libcrypt-2.24.so

b6cb9000-b6cba000 rwxp 00007000 b3:01 659302 /lib/arm-linux-gnueabihf/libcrypt-2.24.so
b6cba000-b6ce1000 rwxp 00000000 00:00 0

b6ce1000-b6ce3000 r-xp 00000000 b3:01 659307 /lib/arm-linux-gnueabihf/libdl-2.24.so

b6ce3000-b6cf2000 ---p 00002000 b3:01 659307 /lib/arm-linux-gnueabihf/libdl-2.24.so

b6cf2000-b6cf3000 r-xp 00001000 b3:01 659307 /lib/arm-linux-gnueabihf/libdl-2.24.so

b6cf3000-b6cf4000 rwxp 00002000 b3:01 659307 /lib/arm-linux-gnueabihf/libdl-2.24.so

b6cf4000-b6d3c000 r-xp 00000000 b3:01 524711 /usr/lib/arm-linux-gnueabihf/libgmp.so.10.3.2

b6d3c000-b6d4b000 ---p 00048000 b3:01 524711 /usr/lib/arm-linux-gnueabihf/libgmp.so.10.3.2

b6d4b000-b6d4c000 r-xp 00047000 b3:01 524711 /usr/lib/arm-linux-gnueabihf/libgmp.so.10.3.2

b6d4c000-b6d4d000 rwxp 00048000 b3:01 524711 /usr/lib/arm-linux-gnueabihf/libgmp.so.10.3.2

b6d4d000-b6d5e000 r-xp 00000000 b3:01 659400 /lib/arm-linux-gnueabihf/libpthread-2.24.so

b6d5e000-b6d6d000 ---p 00011000 b3:01 659400 /lib/arm-linux-gnueabihf/libpthread-2.24.so

b6d6d000-b6d6e000 r-xp 00010000 b3:01 659400 /lib/arm-linux-gnueabihf/libpthread-2.24.so

b6d6e000-b6d6f000 rwxp 00011000 b3:01 659400 /lib/arm-linux-gnueabihf/libpthread-2.24.so

b6d6f000-b6d71000 rwxp 00000000 00:00 0

b6d71000-b6f50000 r-xp 00000000 b3:01 531975 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/libruby.so.2.4.1

b6f50000-b6f60000 ---p 001df000 b3:01 531975 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/libruby.so.2.4.1

b6f60000-b6f63000 r-xp 001df000 b3:01 531975 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/libruby.so.2.4.1

b6f63000-b6f65000 rwxp 001e2000 b3:01 531975 /home/tivgres/.rvm/rubies/ruby-2.4.1/lib/libruby.so.2.4.1

b6f65000-b6f6b000 rwxp 00000000 00:00 0

b6f6b000-b6f83000 r-xp 00000000 b3:01 658347 /lib/arm-linux-gnueabihf/ld-2.24.so

b6f85000-b6f87000 rwxp 00000000 00:00 0

b6f8a000-b6f8b000 ---p 00000000 00:00 0

b6f8b000-b6f8e000 rwxp 00000000 00:00 0

b6f8e000-b6f8f000 r-xp 0019a000 b3:01 524244 /usr/lib/locale/locale-archive

b6f8f000-b6f92000 rwxp 00000000 00:00 0

b6f92000-b6f93000 r-xp 00017000 b3:01 658347 /lib/arm-linux-gnueabihf/ld-2.24.so

b6f93000-b6f94000 rwxp 00018000 b3:01 658347 /lib/arm-linux-gnueabihf/ld-2.24.so

be3be000-bebbd000 rw-p 00000000 00:00 0 [stack]

bee3d000-bee3e000 r-xp 00000000 00:00 0 [sigpage]

bee3e000-bee3f000 r--p 00000000 00:00 0 [vvar]

bee3f000-bee40000 r-xp 00000000 00:00 0 [vdso]

ffff0000-ffff1000 r-xp 00000000 00:00 0 [vectors]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Aborted

`

Related issues:

Related to Ruby - Bug #13670: [BUG] Bus Error at 0xefce7b (armv7l) (ruby 2.3.... Closed

History

#1 - 05/28/2018 10:21 PM - wanabe (_ wanabe)

- Related to Bug #13670: [BUG] Bus Error at 0xefce7b (armv7l) (ruby 2.3.4p301) added

#2 - 05/29/2018 12:14 AM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Feedback

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18: [BUG] Bus Error at 0x2b7dff9

 Seems failing inside of bootsnap.  Can you disable it to see if the problem disappears?

#3 - 05/31/2018 05:01 PM - Tivgres (Sergey D)

shyouhei (Shyouhei Urabe) wrote:

/home/tivgres/.rvm/gems/ruby-2.4.1/gems/bootsnap-1.3.0/lib/bootsnap/compile_cache/iseq.rb:18: [BUG] Bus Error at 0x2b7dff9

 Seems failing inside of bootsnap.  Can you disable it to see if the problem disappears?
 Yeah, with disabled gem it's worked.

Thanks for a help. Troubles not at ruby side.

#4 - 05/31/2018 05:02 PM - Tivgres (Sergey D)

- Status changed from Feedback to Closed

#5 - 06/01/2018 12:06 AM - shyouhei (Shyouhei Urabe)

- Status changed from Closed to Third Party's Issue

Tivgres (Sergey D) wrote:

Yeah, with disabled gem it's worked.

Thanks for a help. Troubles not at ruby side.

 Thanks for the report anyways!
